return {
    -- common dependencies
    { 'https://github.com/nvim-lua/plenary.nvim',
        lazy = true,
        version = '*',
    },
    { 'https://github.com/kyazdani42/nvim-web-devicons',
        enabled = require('my.functions').nerdfont_installed(),
    },

    -- basics
    { 'https://github.com/owozsh/amora',
        init = function()
            vim.o.termguicolors = true -- 24 bit colors
        end,
        config = function()
            vim.cmd('colorscheme amora')
            -- make comments a bit lighter
            vim.api.nvim_set_hl(0, 'AmoraComment', { fg = '#7C4180', ctermfg = 61 })
            vim.api.nvim_set_hl(0, 'AmoraCommentBold',
                { fg = '#7C4180', ctermfg = 61, bold = true })
        end,
        priority = 1000, -- load before all other plugins
    },
    { 'https://github.com/editorconfig/editorconfig-vim',
        -- 0.9.0 has EditorConfig support included
        enabled = not require('my.functions').has_api_level(11)
    },
    { 'https://github.com/ii14/autosplit.nvim',
        init = function()
            -- split these vertically if there is enough space
            vim.g.autosplit_bt = { 'help', 'terminal' }
            vim.g.autosplit_ft = {
                'man', 'fugitive', 'gitcommit', 'gitrebase', 'git'
            }
        end,
    },
}
